## ros-noetic-drone-circuit-assets 1.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(drone_circuit_assets)

## ROS INSTALL ##

find_package(catkin REQUIRED COMPONENTS)

catkin_package()

install(DIRECTORY worlds
 DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

## JDEROBOT INSTALL ##

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set (CMAKE_INSTALL_PREFIX /opt/jderobot/share/jderobot/
         CACHE PATH "default install path" FORCE)
endif()

set (MODELS ${CMAKE_INSTALL_PREFIX}/gazebo/models)
set (WORLDS ${CMAKE_INSTALL_PREFIX}/gazebo/worlds)

configure_file (
    assets-setup.sh.in
    assets-setup.sh
)

install(DIRECTORY worlds launch
DESTINATION gazebo)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/assets-setup.sh 
DESTINATION gazebo)

=== debian/changelog ===
ros-noetic-drone-circuit-assets (1.4.2-1buster) buster; urgency=high

  * Removed drone_assets reference from drone_circuit_assets CMakeLists
  * Contributors: pariaspe

 -- Pedro Arias <pedroariasperez96@gmail.com>  Sun, 03 Oct 2021 22:00:00 -0000

ros-noetic-drone-circuit-assets (1.4.1-1buster) buster; urgency=high

  * Added drone circuit assets for Behavior Metrics
  * Contributors: Utkarsh Mishra, pariaspe

 -- Pedro Arias <pedroariasperez96@gmail.com>  Thu, 16 Sep 2021 22:00:00 -0000

ros-noetic-drone-circuit-assets (1.4.0-1buster) buster; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Thu, 22 Apr 2021 22:00:00 -0000

ros-noetic-drone-circuit-assets (1.3.8-1buster) buster; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Tue, 13 Apr 2021 22:00:00 -0000

ros-noetic-drone-circuit-assets (1.3.7-1buster) buster; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Sun, 28 Feb 2021 23:00:00 -0000

ros-noetic-drone-circuit-assets (1.3.6-1buster) buster; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Mon, 11 Jan 2021 23:00:00 -0000

ros-noetic-drone-circuit-assets (1.3.5-1buster) buster; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Mon, 28 Dec 2020 23:00:00 -0000

ros-noetic-drone-circuit-assets (1.3.4-1buster) buster; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Sat, 27 Jun 2020 22:00:00 -0000

ros-noetic-drone-circuit-assets (1.3.3-1buster) buster; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Tue, 09 Jun 2020 22:00:00 -0000

ros-noetic-drone-circuit-assets (1.3.2-1buster) buster; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Tue, 05 May 2020 22:00:00 -0000

ros-noetic-drone-circuit-assets (1.3.1-1buster) buster; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Fri, 14 Feb 2020 12:30:00 -0000

ros-noetic-drone-circuit-assets (1.3.0-1buster) buster; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Fri, 14 Feb 2020 12:22:00 -0000

ros-noetic-drone-circuit-assets (1.2.0-1buster) buster; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Mon, 10 Feb 2020 23:00:00 -0000

ros-noetic-drone-circuit-assets (1.1.0-1buster) buster; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Sun, 19 Jan 2020 23:00:00 -0000

ros-noetic-drone-circuit-assets (1.0.2-1buster) buster; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Sat, 18 Jan 2020 23:00:00 -0000

ros-noetic-drone-circuit-assets (1.0.1-1buster) buster; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Sat, 17 Aug 2019 22:00:00 -0000

ros-noetic-drone-circuit-assets (1.0.0-1buster) buster; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Wed, 31 Jul 2019 22:00:00 -0000

ros-noetic-drone-circuit-assets (0.0.1-1buster) buster; urgency=high



 -- Pedro Arias <pedroariasperez96@gmail.com>  Fri, 19 Jul 2019 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-drone-circuit-assets
Section: misc
Priority: optional
Maintainer: Pedro Arias <pedroariasperez96@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-noetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-drone-circuit-assets
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: The JdeRobot Behavior Metrics drone assets package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-drone-circuit-assets//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
